<?php

use App\Http\Controllers\Auth\OAuthLoginController;
use Illuminate\Support\Facades\Route;

Route::get('/oauth/login', [OAuthLoginController::class, 'index'])->name('oauth:login');
Route::post('/oauth/login', [OAuthLoginController::class, 'store']);
Route::get('/oauth/logout', [OAuthLoginController::class, 'destroy']);

Route::get('/forgot-password', fn () => redirect('/login'))->name('password.request');
